Get Assignment Threshold Modules
Purpose
To retrieve the list of modules that have an active Assignment Threshold configuration in Zoho CRM. You can use this information to validate assignment threshold for users in those modules.
Endpoints
- GET /settings/automation/assignment_thresholds/actions/groups
Request Details
Request URL
{api-domain}/crm/{version}/settings/automation/assignment_thresholds/actions/groups
Header
Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52
Scope
ZohoCRM.settings.assignment_thresholds.{operation_type}
Possible Operation Types
ALL - Full access to assignment threshold data
READ - Fetch assignment threshold modules data
Parameters
- group_bystring, mandatory
Specify the value as module to fetch all the modules which has an active assignment threshold configured.
Sample Request
Copiedcurl "https://www.zohoapis.com/crm/v8/settings/automation/assignment_thresholds/actions/groups?group_by=module"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"Response JSON
The groups array is the root key that contains the list of modules with active Assignment Threshold configurations.
moduleJSON objectRepresents the module that has an active Assignment Threshold configuration. It contains the module API name and its unique ID.
Possible Errors
- REQUIRED_PARAM_MISSINGHTTP 400
You did not specify the required parameter in the API request.
Resolution: group_by parameter is mandatory to fetch the modules list which has an active assignment threshold. - INVALID_DATAHTTP 400
Invalid value given in the parameter.
Resolution: The only possible value for the group_by parameter is module. - NO_PERMISSIONHTTP 403
You do not have enough permission to fetch the list of modules which have active assignment threshold configured.
Resolution: Contact your CRM administrator. - FEATURE_NOT_SUPPORTEDHTTP 400
Your CRM edition does not support this feature.
Resolution: Assignment Threshold is supported in Professional and above editions. Upgrade your CRM edition to use this feature. - API_NOT_SUPPORTEDHTTP 400
You specified an invalid or lower version in the API request.
Resolution: Assignment Threshold is supported from API version v8 and above. Specify a valid version in the API request. - INVALID_REQUEST_METHODHTTP 400
The http request method type is not a valid one.
Resolution: You have specified an invalid HTTP method to access the API URL.
Specify a valid request method. Refer to the endpoints section of the API. - OAUTH_SCOPE_MISMATCHHTTP 401
Unauthorized
Resolution: The client does not have a valid scope to fetch the list of modules which have active assignment thresholds configured. Create a new token with valid scope. Refer to scope section of the API. - AUTHENTICATION_FAILUREHTTP 401
Authentication failed
Resolution: Pass the access token in the request header of the API call. - INVALID_URL_PATTERNHTTP 404
Please check if the URL trying to access is a correct one.
Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the request URL section of the API. - INTERNAL_ERRORHTTP 500
Internal Server Error
Resolution: Unexpected and unhandled exception in the server. Contact support team.
Sample Response
Copied{
"groups": [
{
"module": {
"api_name": "Leads",
"id": "1862079000000000125"
}
},
{
"module": {
"api_name": "Deals",
"id": "1862079000000000131"
}
}
]
}